Skip to Content
EIS
API Referencev1Services

Update an organization service

PUT
/v1/service/org/edit

Request Body

application/json
  1. body

Input model used by ServiceController to create or update organization services and their options.

id?integer|null
serviceListId?integer|null
serviceOrgId?integer|null
organizationId?|
Formatint64
integrationId?integer|null
optionId?integer|null
name?string|null
offsetDays?integer|null
carrierType?string|null
attributes?|array<any>|string|number|boolean|null
type?string|null
forDirect?boolean|null
forSub?boolean|null

Response Body

Organization service updated.

application/json
  1. response
id?integer

Organization service identifier.

serviceList?|null
organizationId?|

Organization owning the configured service.

Formatint64
integration?|

Integration summary exposed for the service.

name?|

Organization-specific service name.

Lengthlength <= 300
forDirect?|

Whether the service is available for direct customers.

forSub?|

Whether the service is available for subpartners.

carrierType?|

Carrier-specific service classification.

Lengthlength <= 50
offsetDays?|

Service scheduling offset in days.

attributes?|

Provider-specific service attributes.

Example Request
curl -X PUT 'https://api.eis.it/v1/service/org/edit' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "serviceList": {    "id": 0,    "name": "string",    "serviceProvider": {      "id": 0,      "name": "string",      "description": "string"    },    "carrier": {      "id": 0,      "name": "string"    },    "type": {      "id": 0,      "name": "string"    },    "supplierProductId": "string"  },  "organizationId": 0,  "integration": {    "id": 0,    "name": "string"  },  "name": "string",  "forDirect": true,  "forSub": true,  "carrierType": "string",  "offsetDays": 0,  "attributes": {}}